Package org.drinkless.tdlib

# Class TdApi.EmojiStatusTypeUpgradedGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmojiStatusType
org.drinkless.tdlib.TdApi.EmojiStatusTypeUpgradedGift

Enclosing class:
  `TdApi`

public static class TdApi.EmojiStatusTypeUpgradedGift extends TdApi.EmojiStatusType
An upgraded gift set as emoji status.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.EmojiStatusType

  `TdApi.EmojiStatusType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftBackdropColors`
  `backdropColors`
  Colors of the backdrop of the upgraded gift.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `giftName`
  Unique name of the upgraded gift that can be used with internalLinkTypeUpgradedGift.
  `String`
  `giftTitle`
  The title of the upgraded gift.
  `long`
  `modelCustomEmojiId`
  Custom emoji identifier of the model of the upgraded gift.
  `long`
  `symbolCustomEmojiId`
  Custom emoji identifier of the symbol of the upgraded gift.
  `long`
  `upgradedGiftId`
  Identifier of the upgraded gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiStatusTypeUpgradedGift()`
  An upgraded gift set as emoji status.
  `EmojiStatusTypeUpgradedGift(long upgradedGiftId, String giftTitle, String giftName, long modelCustomEmojiId, long symbolCustomEmojiId, TdApi.UpgradedGiftBackdropColors backdropColors)`
  An upgraded gift set as emoji status.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### upgradedGiftId

    public long upgradedGiftId
    Identifier of the upgraded gift.

  - ### giftTitle

    public String giftTitle
    The title of the upgraded gift.

  - ### giftName

    public String giftName
    Unique name of the upgraded gift that can be used with internalLinkTypeUpgradedGift.

  - ### modelCustomEmojiId

    public long modelCustomEmojiId
    Custom emoji identifier of the model of the upgraded gift.

  - ### symbolCustomEmojiId

    public long symbolCustomEmojiId
    Custom emoji identifier of the symbol of the upgraded gift.

  - ### backdropColors

    public TdApi.UpgradedGiftBackdropColors backdropColors
    Colors of the backdrop of the upgraded gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmojiStatusTypeUpgradedGift

    public EmojiStatusTypeUpgradedGift()
    An upgraded gift set as emoji status.

  - ### EmojiStatusTypeUpgradedGift

    public EmojiStatusTypeUpgradedGift(long upgradedGiftId, String giftTitle, String giftName, long modelCustomEmojiId, long symbolCustomEmojiId, TdApi.UpgradedGiftBackdropColors backdropColors)
    An upgraded gift set as emoji status.
    Parameters:
      `upgradedGiftId` - Identifier of the upgraded gift.
      `giftTitle` - The title of the upgraded gift.
      `giftName` - Unique name of the upgraded gift that can be used with internalLinkTypeUpgradedGift.
      `modelCustomEmojiId` - Custom emoji identifier of the model of the upgraded gift.
      `symbolCustomEmojiId` - Custom emoji identifier of the symbol of the upgraded gift.
      `backdropColors` - Colors of the backdrop of the upgraded gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.EmojiStatusType`
    Returns:
      this.CONSTRUCTOR